Package org.apache.sling.distribution.journal.queue

## Class QueueState

- java.lang.Object
- - org.apache.sling.distribution.journal.queue.QueueState

    public class QueueState
    extends Object

### Constructor Summary

Constructors
`QueueState​(long lastProcessedOffset, int headRetries, int maxRetries, ClearCallback clearCallback)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ClearCallback` `getClearCallback()`
`int` `getHeadRetries()`
`long` `getLastProcessedOffset()`
`int` `getMaxRetries()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueueState

    public QueueState​(long lastProcessedOffset,
                      int headRetries,
                      int maxRetries,
                      ClearCallback clearCallback)

### Method Detail

#### getLastProcessedOffset

    public long getLastProcessedOffset()

#### getHeadRetries

    public int getHeadRetries()

#### getMaxRetries

    public int getMaxRetries()

#### getClearCallback

    public ClearCallback getClearCallback()